Iniciar enrolamiento SMS obligatorio
curl --request POST \
--url https://api.qbank.cl/platform/v1/auth/register/2fa/sms/begin \
--header 'Content-Type: application/json' \
--data '
{
"pending_token": "eyJ...",
"phone": "+56912345678"
}
'import requests
url = "https://api.qbank.cl/platform/v1/auth/register/2fa/sms/begin"
payload = {
"pending_token": "eyJ...",
"phone": "+56912345678"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({pending_token: 'eyJ...', phone: '+56912345678'})
};
fetch('https://api.qbank.cl/platform/v1/auth/register/2fa/sms/begin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/auth/register/2fa/sms/begin",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pending_token' => 'eyJ...',
'phone' => '+56912345678'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/auth/register/2fa/sms/begin"
payload := strings.NewReader("{\n \"pending_token\": \"eyJ...\",\n \"phone\": \"+56912345678\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qbank.cl/platform/v1/auth/register/2fa/sms/begin")
.header("Content-Type", "application/json")
.body("{\n \"pending_token\": \"eyJ...\",\n \"phone\": \"+56912345678\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/auth/register/2fa/sms/begin")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"pending_token\": \"eyJ...\",\n \"phone\": \"+56912345678\"\n}"
response = http.request(request)
puts response.read_body{
"phone_masked": "*******5678",
"steps": [
"1. Enviamos un código por SMS al *******5678.",
"2. Ingresa el código dentro de 10 minutos para verificar tu número."
],
"note": "ingresa el código SMS con POST /v1/auth/register/2fa/sms/confirm"
}{
"access_token": "eyJ...",
"expires_at": "2026-10-22T19:00:00Z",
"refresh_token": "rt_...",
"refresh_expires_at": "2026-11-20T19:00:00Z",
"account": {
"id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"
}
}Iniciar enrolamiento SMS obligatorio
Envía el código de enrolamiento por SMS al teléfono de la cuenta (o al teléfono del request, que se guarda). Usa el token pendiente de registro, no una sesión.
POST
/
v1
/
auth
/
register
/
2fa
/
sms
/
begin
Iniciar enrolamiento SMS obligatorio
curl --request POST \
--url https://api.qbank.cl/platform/v1/auth/register/2fa/sms/begin \
--header 'Content-Type: application/json' \
--data '
{
"pending_token": "eyJ...",
"phone": "+56912345678"
}
'import requests
url = "https://api.qbank.cl/platform/v1/auth/register/2fa/sms/begin"
payload = {
"pending_token": "eyJ...",
"phone": "+56912345678"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({pending_token: 'eyJ...', phone: '+56912345678'})
};
fetch('https://api.qbank.cl/platform/v1/auth/register/2fa/sms/begin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/auth/register/2fa/sms/begin",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pending_token' => 'eyJ...',
'phone' => '+56912345678'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/auth/register/2fa/sms/begin"
payload := strings.NewReader("{\n \"pending_token\": \"eyJ...\",\n \"phone\": \"+56912345678\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qbank.cl/platform/v1/auth/register/2fa/sms/begin")
.header("Content-Type", "application/json")
.body("{\n \"pending_token\": \"eyJ...\",\n \"phone\": \"+56912345678\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/auth/register/2fa/sms/begin")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"pending_token\": \"eyJ...\",\n \"phone\": \"+56912345678\"\n}"
response = http.request(request)
puts response.read_body{
"phone_masked": "*******5678",
"steps": [
"1. Enviamos un código por SMS al *******5678.",
"2. Ingresa el código dentro de 10 minutos para verificar tu número."
],
"note": "ingresa el código SMS con POST /v1/auth/register/2fa/sms/confirm"
}{
"access_token": "eyJ...",
"expires_at": "2026-10-22T19:00:00Z",
"refresh_token": "rt_...",
"refresh_expires_at": "2026-11-20T19:00:00Z",
"account": {
"id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"
}
}